{
    num: -32155,
    accuracy: 100,
    basePower: 0,
    damageCallback(pokemon) {
      const lastDamagedBy = pokemon.getLastDamagedBy(true);
      if (lastDamagedBy !== void 0) {
        return lastDamagedBy.damage * 1.5 || 1;
      }
      return 0;
    },
    category: "Physical",
    name: "Stone Burst",
    pp: 10,
    priority: -1,
    flags: { protect: 1, mirror: 1, metronome: 1, failmefirst: 1 },
    onTry(source) {
      const lastDamagedBy = source.getLastDamagedBy(true);
      if (lastDamagedBy === void 0 || !lastDamagedBy.thisTurn)
        return false;
    },
    onModifyTarget(targetRelayVar, source, target, move) {
      const lastDamagedBy = source.getLastDamagedBy(true);
      if (lastDamagedBy) {
        targetRelayVar.target = this.getAtSlot(lastDamagedBy.slot);
      }
    },
    secondary: null,
    target: "scripted",
    type: "Rock",
    contestType: "Tough"
}